import { ReactNode } from 'react';
interface Props {
    /** Space to offset from the edge of the containing element */
    margin?: string;
    /** Let the element flow outside of the containing element */
    breakout?: boolean;
    /** Contain the element to the viewport (instead of the document) */
    fixed?: boolean;
    /** Positioning along x-axis */
    x?: 'left' | 'center' | 'right' | 'full';
    /** Positioning along y-axis */
    y?: 'top' | 'center' | 'bottom' | 'full';
    children?: ReactNode;
    /** HTML element to render */
    as?: keyof JSX.IntrinsicElements;
}
/**
 * Position layout component
 */
export declare function Position(props: Props): JSX.Element;
export {};
