import { ReactNode } from 'react';
interface Props {
    /** Side to treat as the sidebar */
    side?: 'left' | 'right';
    /** Width value to limit the sidebar to in horizontal mode */
    sideWidth?: string | null;
    /** Percentage value to use as the breakpoint for the element opposite the sidebar */
    contentMin?: string;
    /** Space between elements (sidebar and content) */
    space?: string;
    /** Stretch sidebar to match content (and vice versa) */
    stretch?: boolean;
    children?: ReactNode;
    /** HTML element to render */
    as?: keyof JSX.IntrinsicElements;
}
/**
 * Sidebar layout component
 */
export declare function Sidebar(props: Props): JSX.Element;
export {};
